### Method

# Fwupd Client install_release

#### Declaration [src]

    gboolean
    fwupd_client_install_release (
      FwupdClient* self,
      FwupdDevice* device,
      FwupdRelease* release,
      FwupdInstallFlags install_flags,
      FwupdClientDownloadFlags download_flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Installs a new release on a device, downloading the firmware if required.

Available since: | 2.0.0

#### Parameters

`device` | `FwupdDevice`
| A device.
| The data is owned by the caller of the function.
`release` | `FwupdRelease`
| A release.
| The data is owned by the caller of the function.
`install_flags` | `FwupdInstallFlags`
| Install flags, e.g. `FWUPD_INSTALL_FLAG_ALLOW_REINSTALL`.
`download_flags` | `FwupdClientDownloadFlags`
| Download flags, e.g. `FWUPD_CLIENT_DOWNLOAD_FLAG_NONE`.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.